"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _q3UiDialog = _interopRequireDefault(require("q3-ui-dialog"));

var _lodash = require("lodash");

var _DialogTriggerButton = _interopRequireDefault(require("../DialogTriggerButton"));

var _useDialog = _interopRequireDefault(require("../useDialog"));

var _DialogAboutTable = _interopRequireDefault(require("../DialogAboutTable"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DialogAbout = () => {
  const {
    close,
    data = {},
    handleOpen,
    isOpen,
    TransitionProps
  } = (0, _useDialog.default)(_constants.DIALOG_ABOUT);

  const ButtonComponent = _react.default.useCallback(onClick => /*#__PURE__*/_react.default.createElement(_DialogTriggerButton.default, {
    id: _constants.DIALOG_ABOUT,
    onClick: e => {
      handleOpen(e, onClick);
    }
  }), []);

  const ContentComponent = _react.default.useCallback(() => /*#__PURE__*/_react.default.createElement(_DialogAboutTable.default, data), [data]);

  return /*#__PURE__*/_react.default.createElement(_q3UiDialog.default, {
    TransitionProps: TransitionProps,
    isOpen: isOpen,
    onClose: close,
    renderContent: ContentComponent,
    renderTrigger: ButtonComponent,
    title: (0, _lodash.get)(data, 'name', 'fileInformation')
  });
};

var _default = /*#__PURE__*/_react.default.memo(DialogAbout);

exports.default = _default;