"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _q3UiHelpers = require("q3-ui-helpers");

var _q3UiLocale = require("q3-ui-locale");

var _utils = require("../utils");

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DialogAboutTable = ({
  size,
  updatedAt,
  url
}) => {
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('labels');
  const cls = (0, _styles.default)();
  return /*#__PURE__*/_react.default.createElement(_core.Table, null, /*#__PURE__*/_react.default.createElement(_core.TableHead, null, /*#__PURE__*/_react.default.createElement(_core.TableRow, null, /*#__PURE__*/_react.default.createElement(_core.TableCell, {
    className: cls.cell,
    component: "th"
  }, t('property')), /*#__PURE__*/_react.default.createElement(_core.TableCell, {
    className: cls.cell,
    component: "th"
  }, t('description')))), /*#__PURE__*/_react.default.createElement(_core.TableBody, null, /*#__PURE__*/_react.default.createElement(_core.TableRow, null, /*#__PURE__*/_react.default.createElement(_core.TableCell, {
    className: cls.cell
  }, t('size')), /*#__PURE__*/_react.default.createElement(_core.TableCell, {
    className: cls.cell,
    "data-testid": "size"
  }, (0, _utils.toMbs)(size))), /*#__PURE__*/_react.default.createElement(_core.TableRow, null, /*#__PURE__*/_react.default.createElement(_core.TableCell, {
    className: cls.cell
  }, t('type')), /*#__PURE__*/_react.default.createElement(_core.TableCell, {
    className: cls.cell,
    "data-testid": "type"
  }, url ? (0, _utils.getFileType)(url) : 'N/A')), /*#__PURE__*/_react.default.createElement(_core.TableRow, null, /*#__PURE__*/_react.default.createElement(_core.TableCell, {
    className: cls.cell
  }, t('updatedAt')), /*#__PURE__*/_react.default.createElement(_core.TableCell, {
    className: cls.cell,
    "data-testid": "updatedAt"
  }, _q3UiHelpers.string.toDate(updatedAt)))));
};

DialogAboutTable.defaultProps = {
  size: 0,
  updatedAt: new Date().toISOString(),
  url: null
};
DialogAboutTable.propTypes = {
  size: _propTypes.default.number,
  updatedAt: _propTypes.default.string,
  url: _propTypes.default.string
};
var _default = DialogAboutTable;
exports.default = _default;