"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Delete = _interopRequireDefault(require("@material-ui/icons/Delete"));

var _q3UiConfirm = _interopRequireDefault(require("q3-ui-confirm"));

var _lodash = require("lodash");

var _FileManagerBatchContext = _interopRequireDefault(require("../FileManagerBatchContext"));

var _DialogTriggerButton = _interopRequireDefault(require("../DialogTriggerButton"));

var _FileManagerContext = _interopRequireDefault(require("../FileManagerContext"));

var _useDialog = _interopRequireDefault(require("../useDialog"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DialogDelete = () => {
  const {
    remove,
    removeBulk,
    poll
  } = _react.default.useContext(_FileManagerContext.default);

  const {
    close,
    handleOpen,
    isOpen,
    TransitionProps
  } = (0, _useDialog.default)(_constants.DIALOG_DELETE);

  const {
    selected
  } = _react.default.useContext(_FileManagerBatchContext.default);

  const ButtonComponent = _react.default.useCallback(({
    onClick
  }) => /*#__PURE__*/_react.default.createElement(_DialogTriggerButton.default, {
    id: _constants.DIALOG_DELETE,
    onClick: e => {
      handleOpen(e, onClick);
    }
  }), []);

  return /*#__PURE__*/_react.default.createElement(_q3UiConfirm.default, {
    isOpen: isOpen,
    onClose: close,
    ButtonComponent: ButtonComponent,
    TransitionProps: TransitionProps,
    title: "delete",
    icon: _Delete.default,
    phrase: "DELETE",
    service: () => ((0, _lodash.size)(selected) > 1 ? removeBulk(selected) : remove(Array.isArray(selected) ? (0, _lodash.first)(selected) : selected))().then(close).then(poll)
  });
};

DialogDelete.propTypes = {};

var _default = /*#__PURE__*/_react.default.memo(DialogDelete);

exports.default = _default;