"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _q3UiDialog = _interopRequireDefault(require("q3-ui-dialog"));

var _TreeView = _interopRequireDefault(require("@material-ui/lab/TreeView"));

var _TreeItem = _interopRequireDefault(require("@material-ui/lab/TreeItem"));

var _ExpandMore = _interopRequireDefault(require("@material-ui/icons/ExpandMore"));

var _ChevronRight = _interopRequireDefault(require("@material-ui/icons/ChevronRight"));

var _q3UiLocale = require("q3-ui-locale");

var _useDirectoryFolders = _interopRequireDefault(require("../useDirectoryFolders"));

var _DialogTriggerButton = _interopRequireDefault(require("../DialogTriggerButton"));

var _useDialog = _interopRequireDefault(require("../useDialog"));

var _constants = require("../constants");

var _DialogMoveToButton = _interopRequireDefault(require("../DialogMoveToButton"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const forwardNodeIds = fn => (event, nodeIds) => {
  fn(nodeIds);
};

const DialogMoveTo = () => {
  const {
    tree = []
  } = (0, _useDirectoryFolders.default)();
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('labels');
  const {
    close,
    handleOpen,
    isOpen,
    TransitionProps
  } = (0, _useDialog.default)(_constants.DIALOG_MOVE);

  const [expanded, setExpanded] = _react.default.useState([_constants.DIRECTORY_ROOT]);

  const [selected, setSelected] = _react.default.useState([_constants.DIRECTORY_ROOT]);

  const handleToggle = forwardNodeIds(setExpanded);
  const handleSelect = forwardNodeIds(setSelected);

  const renderTree = nodes => /*#__PURE__*/_react.default.createElement(_TreeItem.default, {
    key: nodes.id,
    nodeId: nodes.id,
    label: nodes.name
  }, Array.isArray(nodes.children) ? nodes.children.map(node => renderTree(node)) : null);

  const ButtonComponent = _react.default.useCallback(open => /*#__PURE__*/_react.default.createElement(_DialogTriggerButton.default, {
    id: _constants.DIALOG_MOVE,
    onClick: e => {
      handleOpen(e, open);
    }
  }), []);

  const ContentComponent = _react.default.useCallback(() => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_TreeView.default, {
    defaultCollapseIcon: /*#__PURE__*/_react.default.createElement(_ExpandMore.default, null),
    defaultExpandIcon: /*#__PURE__*/_react.default.createElement(_ChevronRight.default, null),
    expanded: expanded,
    selected: selected,
    onNodeToggle: handleToggle,
    onNodeSelect: handleSelect
  }, renderTree({
    id: _constants.DIRECTORY_ROOT,
    name: t('root'),
    children: tree
  })), /*#__PURE__*/_react.default.createElement(_DialogMoveToButton.default, {
    selected: selected
  })), [expanded, selected]);

  return /*#__PURE__*/_react.default.createElement(_q3UiDialog.default, {
    TransitionProps: TransitionProps,
    description: "moveTo",
    isOpen: isOpen,
    onClose: close,
    renderContent: ContentComponent,
    renderTrigger: ButtonComponent,
    title: "moveTo"
  });
};

DialogMoveTo.propTypes = {};
var _default = DialogMoveTo;
exports.default = _default;