"use strict";

var _react = _interopRequireDefault(require("react"));

var _q3UiDialog = _interopRequireDefault(require("q3-ui-dialog"));

var _DialogMoveTo = _interopRequireDefault(require("./DialogMoveTo"));

var _useDirectoryFolders = _interopRequireDefault(require("../useDirectoryFolders"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('../useDirectoryFolders');
beforeAll(() => {
  jest.spyOn(_react.default, 'useContext').mockReturnValue({});
});
describe('DialogMoveTo', () => {
  it('should forward node ids on select', () => {
    const setState = jest.fn();

    _useDirectoryFolders.default.mockReturnValue({
      tree: []
    });

    jest.spyOn(_react.default, 'useState').mockReturnValue([null, setState]);
    global.shallow( /*#__PURE__*/_react.default.createElement(_DialogMoveTo.default, null)).find(_q3UiDialog.default).props().renderContent().props.children[0].props.onNodeToggle(null, 1);
    expect(setState).toHaveBeenCalledWith(1);
  });
  it('should recurse', () => {
    _useDirectoryFolders.default.mockReturnValue({
      tree: [{
        id: 1,
        name: 'parent-1',
        children: [{
          id: 2,
          name: 'child-1',
          children: [{
            id: 4,
            name: 'grandchild-1'
          }, {
            id: 5,
            name: 'grandchild-2'
          }]
        }, {
          id: 3,
          name: 'child-2'
        }]
      }]
    });

    const getNodeProps = el => el.children[0].props;

    const top = getNodeProps(global.shallow( /*#__PURE__*/_react.default.createElement(_DialogMoveTo.default, null)).find(_q3UiDialog.default).props().renderContent().props).children.props;
    const parents = getNodeProps(top);
    const children = getNodeProps(parents);
    const grandchildren = getNodeProps(children);
    expect(top).toMatchObject({
      nodeId: _constants.DIRECTORY_ROOT
    });
    expect(parents).toMatchObject({
      nodeId: 1
    });
    expect(children).toMatchObject({
      nodeId: 2
    });
    expect(grandchildren).toMatchObject({
      nodeId: 4
    });
  });
});