"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _q3UiLocale = require("q3-ui-locale");

var _useDirectoryFoldersChange = _interopRequireDefault(require("../useDirectoryFoldersChange"));

var _useDialog = _interopRequireDefault(require("../useDialog"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DialogMoveToButton = ({
  selected
}) => {
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('labels');
  const {
    close
  } = (0, _useDialog.default)(_constants.DIALOG_MOVE);
  const onChange = (0, _useDirectoryFoldersChange.default)();

  const handleChange = () => onChange({
    id: null,
    folderId: Array.isArray(selected) || selected === _constants.DIRECTORY_ROOT ? null : selected
  }).then(() => {
    close();
  });

  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    mt: 2
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    onClick: handleChange,
    color: "secondary",
    id: "q3-filemanager-move-to-submit",
    variant: "contained"
  }, t('move')));
};

DialogMoveToButton.defaultProps = {
  selected: _constants.DIRECTORY_ROOT
};
DialogMoveToButton.propTypes = {
  selected: _propTypes.default.oneOfType([_propTypes.default.arrayOf(_propTypes.default.string), _propTypes.default.string])
};
var _default = DialogMoveToButton;
exports.default = _default;