"use strict";

var _react = _interopRequireDefault(require("react"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _DialogMoveToButton = _interopRequireDefault(require("./DialogMoveToButton"));

var _useDirectoryFoldersChange = _interopRequireDefault(require("../useDirectoryFoldersChange"));

var _useDialog = _interopRequireDefault(require("../useDialog"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('../useDialog');
jest.mock('../useDirectoryFoldersChange');

const expectedChangeArguments = (props, args) => {
  const change = jest.fn().mockReturnValue({
    then: jest.fn().mockImplementation(callback => callback())
  });
  const close = jest.fn();

  _useDirectoryFoldersChange.default.mockReturnValue(change);

  _useDialog.default.mockReturnValue({
    close
  });

  global.shallow( /*#__PURE__*/_react.default.createElement(_DialogMoveToButton.default, props)).find(_Button.default).props().onClick();
  expect(change).toHaveBeenCalledWith(args);
  expect(close).toHaveBeenCalled();
};

test.each([[{
  selected: 'test'
}, {
  id: null,
  folderId: 'test'
}], [{
  selected: ['test', 'again']
}, {
  id: null,
  folderId: null
}], [{
  selected: _constants.DIRECTORY_ROOT
}, {
  id: null,
  folderId: null
}]])('DialogMoveToButton change handler', expectedChangeArguments);