"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _q3UiForms = require("q3-ui-forms");

var _FileManagerContext = _interopRequireDefault(require("../FileManagerContext"));

var _useDialog = _interopRequireDefault(require("../useDialog"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DialogRenameForm = ({
  id
}) => {
  const {
    patch
  } = _react.default.useContext(_FileManagerContext.default);

  const {
    close
  } = (0, _useDialog.default)(_constants.DIALOG_RENAME);
  const update = patch(id);
  return /*#__PURE__*/_react.default.createElement(_q3UiForms.Builders.Form, {
    id: "q3-filemanager-rename-form",
    initialValues: {
      name: ''
    },
    onSubmit: values => update(values).then(close)
  }, /*#__PURE__*/_react.default.createElement(_q3UiForms.Builders.Field, {
    autoFocus: true,
    type: "text",
    name: "name",
    required: true,
    xl: 12,
    lg: 12,
    md: 12
  }));
};

DialogRenameForm.propTypes = {
  id: _propTypes.default.string.isRequired
};
var _default = DialogRenameForm;
exports.default = _default;