"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _reactDndHtml5Backend = require("react-dnd-html5-backend");

var _reactDndTouchBackend = require("react-dnd-touch-backend");

var _reactDnd = require("react-dnd");

var _classnames = _interopRequireDefault(require("classnames"));

var _useDropZoneAcceptedFiles = _interopRequireDefault(require("../useDropZoneAcceptedFiles"));

var _DirectoryToolbar = _interopRequireDefault(require("../DirectoryToolbar"));

var _DirectoryAddFolder = _interopRequireDefault(require("../DirectoryAddFolder"));

var _DirectoryBreadcrumbs = _interopRequireDefault(require("../DirectoryBreadcrumbs"));

var _DirectoryPendingFiles = _interopRequireDefault(require("../DirectoryPendingFiles"));

var _DirectorySort = _interopRequireDefault(require("../DirectorySort"));

var _DirectoryView = _interopRequireDefault(require("../DirectoryView"));

var _DropZoneWrapper = _interopRequireDefault(require("../DropZoneWrapper"));

var _DropZoneInputWrapper = _interopRequireDefault(require("../DropZoneInputWrapper"));

var _DocumentViewer = _interopRequireDefault(require("../DocumentViewer"));

var _DragHandlerPreview = _interopRequireDefault(require("../DragHandlerPreview"));

var _DragToSelect = _interopRequireDefault(require("../DragToSelect"));

var _styles = _interopRequireDefault(require("./styles"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line
const Directory = ({
  initialView
}) => {
  const {
    onDrop,
    pending
  } = (0, _useDropZoneAcceptedFiles.default)();
  const cls = (0, _styles.default)();
  return /*#__PURE__*/_react.default.createElement(_DragToSelect.default, null, /*#__PURE__*/_react.default.createElement(_reactDnd.DndProvider, {
    backend: (0, _utils.isTouchDevice)() ? _reactDndTouchBackend.TouchBackend : _reactDndHtml5Backend.HTML5Backend,
    key: 1
  }, /*#__PURE__*/_react.default.createElement(_DocumentViewer.default, null, appendViewerToEach => /*#__PURE__*/_react.default.createElement(_DirectorySort.default, null, ({
    files = [],
    siblings = []
  }, SortingComponent) => /*#__PURE__*/_react.default.createElement(_DirectoryView.default, {
    defaultView: initialView
  }, (Component, SwitcherComponent) => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_DropZoneWrapper.default, {
    onDrop: onDrop
  }), /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: (0, _classnames.default)(cls.toolbar, 'q3-toolbar')
  }, /*#__PURE__*/_react.default.createElement(_Box.default, null, /*#__PURE__*/_react.default.createElement(_DropZoneInputWrapper.default, {
    onDrop: onDrop
  }), /*#__PURE__*/_react.default.createElement(_DirectoryAddFolder.default, null)), /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: cls.mobileActions
  }, /*#__PURE__*/_react.default.createElement(SwitcherComponent, null), /*#__PURE__*/_react.default.createElement(SortingComponent, null), /*#__PURE__*/_react.default.createElement(_DirectoryToolbar.default, null))), /*#__PURE__*/_react.default.createElement(_DirectoryBreadcrumbs.default, null), /*#__PURE__*/_react.default.createElement(_DirectoryPendingFiles.default, {
    pending: pending
  }), /*#__PURE__*/_react.default.createElement(Component, {
    files: appendViewerToEach(files),
    siblings: siblings
  }))))), /*#__PURE__*/_react.default.createElement(_DragHandlerPreview.default, null)));
};

var _default = Directory;
exports.default = _default;