"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _q3UiForms = require("q3-ui-forms");

var _FileManagerCurrentContext = _interopRequireDefault(require("../FileManagerCurrentContext"));

var _FileManagerContext = _interopRequireDefault(require("../FileManagerContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DirectoryAddFolderForm = ({
  onDone
}) => {
  const ctx = _react.default.useContext(_FileManagerContext.default);

  const {
    current
  } = _react.default.useContext(_FileManagerCurrentContext.default);

  return /*#__PURE__*/_react.default.createElement(_q3UiForms.Builders.Form, {
    id: "q3-filemanager-add-folder-form",
    initialValues: {
      name: ''
    },
    onSubmit: values => ctx.post({ ...values,
      folder: true,
      folderId: current
    }).then(onDone)
  }, /*#__PURE__*/_react.default.createElement(_q3UiForms.Builders.Field, {
    autoFocus: true,
    type: "text",
    name: "name",
    required: true,
    xl: 12,
    lg: 12,
    md: 12
  }));
};

DirectoryAddFolderForm.propTypes = {
  onDone: _propTypes.default.func.isRequired
};
var _default = DirectoryAddFolderForm;
exports.default = _default;