"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _Breadcrumbs = _interopRequireDefault(require("@material-ui/core/Breadcrumbs"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _ArrowBackIos = _interopRequireDefault(require("@material-ui/icons/ArrowBackIos"));

var _Link = _interopRequireDefault(require("@material-ui/core/Link"));

var _lodash = require("lodash");

var _q3UiLocale = require("q3-ui-locale");

var _useDirectoryFolders = _interopRequireDefault(require("../useDirectoryFolders"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DirectoryBreadcrumbs = () => {
  var _breadcrumbs;

  const {
    breadcrumbs,
    change
  } = (0, _useDirectoryFolders.default)();
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('labels');

  const handleChange = v => () => change(v);

  const handleChangeBackHome = handleChange(((_breadcrumbs = breadcrumbs[breadcrumbs.length - 2]) === null || _breadcrumbs === void 0 ? void 0 : _breadcrumbs.id) || null);
  return (0, _lodash.size)(breadcrumbs) > 0 && /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: "q3-toolbar",
    alignItems: "center",
    display: "flex",
    mb: 1
  }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    color: "inherit",
    onClick: handleChangeBackHome
  }, /*#__PURE__*/_react.default.createElement(_ArrowBackIos.default, null)), /*#__PURE__*/_react.default.createElement(_Breadcrumbs.default, {
    "aria-label": "breadcrumb"
  }, /*#__PURE__*/_react.default.createElement(_Link.default, {
    component: "button",
    onClick: handleChange(null)
  }, t('labels:root')), (0, _lodash.map)(breadcrumbs, (item, idx) => idx === breadcrumbs.length - 1 ? /*#__PURE__*/_react.default.createElement("strong", {
    key: item.name,
    style: {
      fontSize: '0.877rem'
    }
  }, item.name) :
  /*#__PURE__*/
  // eslint-disable-next-line
  _react.default.createElement(_Link.default // eslint-disable-next-line
  , {
    component: "button",
    key: item,
    onClick: handleChange(item.id)
  }, item.name))));
};

DirectoryBreadcrumbs.defaultProps = {};
DirectoryBreadcrumbs.propTypes = {};
var _default = DirectoryBreadcrumbs;
exports.default = _default;