"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzymeUtils = require("q3-ui-test-utils/lib/enzymeUtils");

var _Breadcrumbs = _interopRequireDefault(require("@material-ui/core/Breadcrumbs"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _DirectoryBreadcrumbs = _interopRequireDefault(require("./DirectoryBreadcrumbs"));

var _useDirectoryFolders = _interopRequireDefault(require("../useDirectoryFolders"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('../useDirectoryFolders');
describe('DirectoryBreadcrumbs', () => {
  it('should render breadcrumbs', () => {
    _useDirectoryFolders.default.mockReturnValue({
      breadcrumbs: [{
        id: 1,
        name: 'first-level'
      }]
    });

    (0, _enzymeUtils.exists)(global.shallow( /*#__PURE__*/_react.default.createElement(_DirectoryBreadcrumbs.default, null)).find(_Breadcrumbs.default));
  });
  it('should default to null when changing backwards', () => {
    const change = jest.fn();

    _useDirectoryFolders.default.mockReturnValue({
      breadcrumbs: [{
        id: 1,
        name: 'first-level'
      }],
      change
    });

    global.shallow( /*#__PURE__*/_react.default.createElement(_DirectoryBreadcrumbs.default, null)).find(_IconButton.default).first().props().onClick();
    expect(change).toHaveBeenCalledWith(null);
    const el = global.shallow( /*#__PURE__*/_react.default.createElement(_DirectoryBreadcrumbs.default, null));
    const currentDir = el.find('strong');
    expect(currentDir.length).toBe(1);
    expect(currentDir.text()).toMatch('first-level');
  });
  it('should find last breadcrumb when changing backwards', () => {
    const change = jest.fn();

    _useDirectoryFolders.default.mockReturnValue({
      breadcrumbs: [{
        id: 1,
        name: 'first-level'
      }, {
        id: 2,
        name: 'second-level'
      }, {
        id: 3,
        name: 'third-level'
      }],
      change
    });

    const el = global.shallow( /*#__PURE__*/_react.default.createElement(_DirectoryBreadcrumbs.default, null));
    const currentDir = el.find('strong');
    expect(currentDir.length).toBe(1);
    expect(currentDir.text()).toMatch('third-level');
    el.find(_IconButton.default).first().props().onClick();
    expect(change).toHaveBeenCalledWith(2);
  });
});