"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = require("lodash");

var _q3UiLocale = require("q3-ui-locale");

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DirectoryPendingFiles = ({
  pending
}) => {
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('descriptions');

  const hasSize = () => (0, _lodash.size)(pending) > 0;

  const containsError = () => (0, _lodash.some)(pending, item => item.error);

  return hasSize() ? /*#__PURE__*/_react.default.createElement(_core.Box, {
    mb: 1
  }, !containsError() ? /*#__PURE__*/_react.default.createElement(_Alert.default, {
    severity: "info"
  }, t('uploading'), "...") : /*#__PURE__*/_react.default.createElement(_Alert.default, {
    severity: "error"
  }, t('uploadFailed'))) : null;
};

DirectoryPendingFiles.defaultProps = {
  pending: []
};
DirectoryPendingFiles.propTypes = {
  // eslint-disable-next-line
  pending: _propTypes.default.arrayOf(_propTypes.default.any)
};
var _default = DirectoryPendingFiles;
exports.default = _default;