"use strict";

var _react = _interopRequireDefault(require("react"));

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _enzymeUtils = require("q3-ui-test-utils/lib/enzymeUtils");

var _DirectoryPendingFiles = _interopRequireDefault(require("./DirectoryPendingFiles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('DirectoryPendingFiles', () => {
  it('should suppress alerts', () => {
    (0, _enzymeUtils.hasNoneOf)(global.shallow( /*#__PURE__*/_react.default.createElement(_DirectoryPendingFiles.default, null)).find(_Alert.default));
  });
  it('should render alerts', () => {
    (0, _enzymeUtils.hasSomeOf)(global.shallow( /*#__PURE__*/_react.default.createElement(_DirectoryPendingFiles.default, {
      pending: [{
        name: 'foo.jpg'
      }]
    })).find(_Alert.default));
  });
  it('should render error if one file has an error', () => {
    expect(global.shallow( /*#__PURE__*/_react.default.createElement(_DirectoryPendingFiles.default, {
      pending: [{
        name: 'foo.jpg',
        error: true
      }, {
        name: 'bar.pdf',
        error: false
      }]
    })).find(_Alert.default).prop('severity')).toMatch('error');
  });
  it('should render uploading message', () => {
    expect(global.shallow( /*#__PURE__*/_react.default.createElement(_DirectoryPendingFiles.default, {
      pending: [{
        name: 'foo.jpg',
        error: false
      }, {
        name: 'bar.pdf',
        error: false
      }]
    })).find(_Alert.default).prop('severity')).toMatch('info');
  });
});