"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "castPropertyToLowerCase", {
  enumerable: true,
  get: function () {
    return _utils.castPropertyToLowerCase;
  }
});
exports.default = void 0;
Object.defineProperty(exports, "getFromLocalStorage", {
  enumerable: true,
  get: function () {
    return _utils.getFromLocalStorage;
  }
});
Object.defineProperty(exports, "getKey", {
  enumerable: true,
  get: function () {
    return _utils.getKey;
  }
});

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _core = require("@material-ui/core");

var _q3UiLocale = require("q3-ui-locale");

var _Check = _interopRequireDefault(require("@material-ui/icons/Check"));

var _q3UiHelpers = require("q3-ui-helpers");

var _useDirectoryFolders = _interopRequireDefault(require("../useDirectoryFolders"));

var _DirectorySortButton = _interopRequireDefault(require("../DirectorySortButton"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// had been located here for testing
// then moved to utils
const DirectorySort = ({
  children
}) => {
  const {
    files = [],
    siblings = []
  } = (0, _useDirectoryFolders.default)();
  const {
    t
  } = (0, _q3UiLocale.useTranslation)();

  const [state, setState] = _react.default.useState({
    property: (0, _utils.getFromLocalStorage)('property', 'name'),
    sort: (0, _utils.getFromLocalStorage)('sort', 'asc')
  });

  const sort = xs => (0, _lodash.orderBy)(xs, [state.property !== 'size' ? (0, _utils.castPropertyToLowerCase)(state.property) : item => Number(item.size)], [state.sort]);

  const makeMenuItem = (value, stateKey) => /*#__PURE__*/_react.default.createElement(_core.MenuItem, {
    dense: true,
    key: `${value}-${stateKey}`,
    onClick: () => {
      setState(prevState => ({ ...prevState,
        [stateKey]: value
      }));

      _q3UiHelpers.browser.proxyLocalStorageApi('setItem', (0, _utils.getKey)(stateKey), value);
    }
  }, state[stateKey] === value && /*#__PURE__*/_react.default.createElement(_Check.default, null), t(value));

  return children({
    files: sort(files),
    siblings: sort(siblings)
  }, () => /*#__PURE__*/_react.default.createElement(_DirectorySortButton.default, null, ({
    anchorEl,
    isOpen,
    close
  }) => /*#__PURE__*/_react.default.createElement(_core.Menu, {
    anchorEl: anchorEl,
    id: "file-sorting",
    open: isOpen,
    onClose: close,
    elevation: 5
  }, ['updatedAt', 'name', 'size'].map(item => makeMenuItem(item, 'property')), /*#__PURE__*/_react.default.createElement(_core.Divider, {
    component: "li"
  }), ['asc', 'desc'].map(item => makeMenuItem(item, 'sort')))));
};

var _default = DirectorySort;
exports.default = _default;