"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _usefulState = require("useful-state");

var _q3UiLocale = require("q3-ui-locale");

var _SortByAlpha = _interopRequireDefault(require("@material-ui/icons/SortByAlpha"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DirectorySortButton = ({
  children
}) => {
  const {
    anchorEl,
    close,
    isOpen,
    open
  } = (0, _usefulState.useOpen)();
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('labels');
  return /*#__PURE__*/_react.default.createElement(_core.Box, {
    display: "inline-block"
  }, /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    id: "q3-filemanager-sort-button",
    "aria-label": t('sort'),
    color: "inherit",
    onClick: open
  }, /*#__PURE__*/_react.default.createElement(_SortByAlpha.default, null)), children({
    anchorEl,
    close,
    isOpen
  }));
};

DirectorySortButton.propTypes = {
  children: _propTypes.default.func.isRequired
};

var _default = /*#__PURE__*/_react.default.memo(DirectorySortButton);

exports.default = _default;