"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _TableChart = _interopRequireDefault(require("@material-ui/icons/TableChart"));

var _PhotoLibrary = _interopRequireDefault(require("@material-ui/icons/PhotoLibrary"));

var _q3UiHelpers = require("q3-ui-helpers");

var _Gallery = _interopRequireDefault(require("../Gallery"));

var _List = _interopRequireDefault(require("../List"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DirectoryView = ({
  children,
  defaultView
}) => {
  const suffix = 'view';

  const [view, setView] = _react.default.useState((0, _utils.getFromLocalStorage)(suffix, defaultView));

  const isGallery = view === 'gallery';

  const handleViewChange = e => (0, _utils.suppressEvent)(e, () => {
    const newView = isGallery ? 'list' : 'gallery';

    _q3UiHelpers.browser.proxyLocalStorageApi('setItem', (0, _utils.getKey)(suffix), newView);

    setView(newView);
  });

  return children(_react.default.useCallback(isGallery ? _Gallery.default : _List.default, [view]), _react.default.useCallback(() => /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    "aria-label": "view",
    color: "inherit",
    onClick: handleViewChange
  }, isGallery ? /*#__PURE__*/_react.default.createElement(_TableChart.default, null) : /*#__PURE__*/_react.default.createElement(_PhotoLibrary.default, null)), [view]));
};

DirectoryView.defaultProps = {
  defaultView: 'list'
};
DirectoryView.propTypes = {
  children: _propTypes.default.func.isRequired,
  defaultView: _propTypes.default.oneOf(['gallery', 'list'])
};
var _default = DirectoryView;
exports.default = _default;