"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = require("lodash");

var _Dialog = _interopRequireDefault(require("@material-ui/core/Dialog"));

var _AppBar = _interopRequireDefault(require("@material-ui/core/AppBar"));

var _CircularProgress = _interopRequireDefault(require("@material-ui/core/CircularProgress"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _styles = _interopRequireDefault(require("./styles"));

var _DocumentViewerToolbar = _interopRequireDefault(require("../DocumentViewerToolbar"));

var _DocumentViewerObject = _interopRequireDefault(require("../DocumentViewerObject"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const DocumentViewer = ({
  children
}) => {
  const [file, setFile] = _react.default.useState();

  const cls = (0, _styles.default)({});

  const appendViewerClickToEach = xs => (0, _lodash.map)((0, _lodash.compact)(xs), item => ({ ...item,

    onClick(e) {
      (0, _utils.suppressEvent)(e, () => {
        setFile(item);
      });
    }

  }));

  const handleClose = () => {
    setFile(null);
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, (0, _lodash.isObject)(file) && /*#__PURE__*/_react.default.createElement(_Dialog.default, {
    PaperProps: {
      style: {
        backgroundColor: 'transparent'
      }
    },
    fullScreen: true,
    open: true
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: cls.backdrop
  }), /*#__PURE__*/_react.default.createElement(_AppBar.default, {
    className: cls.appbar,
    color: "inherit"
  }, /*#__PURE__*/_react.default.createElement(_DocumentViewerToolbar.default, _extends({}, file, {
    onClose: handleClose
  }))), /*#__PURE__*/_react.default.createElement("div", {
    id: "previewer",
    className: cls.content
  }, /*#__PURE__*/_react.default.createElement(_DocumentViewerObject.default, file), /*#__PURE__*/_react.default.createElement("div", {
    className: "previewer-loader"
  }, /*#__PURE__*/_react.default.createElement(_CircularProgress.default, null)))), children(appendViewerClickToEach));
};

DocumentViewer.propTypes = {
  children: _propTypes.default.func.isRequired
};
var _default = DocumentViewer;
exports.default = _default;