"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _DocumentViewerError = _interopRequireDefault(require("../DocumentViewerError"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ReactFileViewer = /*#__PURE__*/_react.default.lazy(() => // issues with react-file-viewer package
Promise.resolve().then(() => _interopRequireWildcard(require('react-file-viewer'))));
/**
 * Sometimes, react-file-viewer unexpectedly crashes.
 * This shouldn't be necessary given the errorComponent prop,
 * but for some reason the error is uncaught.
 */


class ErrorBoundary extends _react.default.Component {
  constructor(props) {
    super(props);
    this.state = {
      hasError: false
    };
  }

  static getDerivedStateFromError() {
    return {
      hasError: true
    };
  }

  render() {
    const {
      hasError
    } = this.state; // eslint-disable-next-line

    const {
      children,
      errorComponent: ErrorComponent
    } = this.props;
    return hasError ? /*#__PURE__*/_react.default.createElement(ErrorComponent, null) : children;
  }

}

const DocumentViewerObject = props => {
  const {
    url
  } = props;

  const FallbackComponent = _react.default.useCallback(() => /*#__PURE__*/_react.default.createElement(_DocumentViewerError.default, props), []);

  return /*#__PURE__*/_react.default.createElement(ErrorBoundary, {
    errorComponent: FallbackComponent
  }, /*#__PURE__*/_react.default.createElement(_react.default.Suspense, {
    fallback: /*#__PURE__*/_react.default.createElement("div", null)
  }, /*#__PURE__*/_react.default.createElement(ReactFileViewer, {
    errorComponent: FallbackComponent,
    fileType: (0, _utils.getFileType)(url),
    filePath: url,
    unsupportedComponent: FallbackComponent
  })));
};

DocumentViewerObject.propTypes = {
  url: _propTypes.default.string.isRequired
};
var _default = DocumentViewerObject;
exports.default = _default;