"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Toolbar = _interopRequireDefault(require("@material-ui/core/Toolbar"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _Hidden = _interopRequireDefault(require("@material-ui/core/Hidden"));

var _CloudDownload = _interopRequireDefault(require("@material-ui/icons/CloudDownload"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _ArrowBackIos = _interopRequireDefault(require("@material-ui/icons/ArrowBackIos"));

var _Print = _interopRequireDefault(require("@material-ui/icons/Print"));

var _styles = _interopRequireDefault(require("./styles"));

var _usePrint = _interopRequireDefault(require("../usePrint"));

var _useSaveAs = _interopRequireDefault(require("../useSaveAs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DocumentViewerToolbar = props => {
  const {
    name,
    onClose
  } = props;
  const print = (0, _usePrint.default)();
  const save = (0, _useSaveAs.default)(props);
  const cls = (0, _styles.default)();

  const handlePrint = () => print({
    printContainer: 'pg-viewer',
    scrollContainer: document.getElementById('previewer').querySelector('.pg-viewer-wrapper')
  });

  return /*#__PURE__*/_react.default.createElement(_Toolbar.default, {
    className: cls.toolbar
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    alignItems: "center",
    display: "flex"
  }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    "aria-label": "close",
    color: "inherit",
    onClick: onClose
  }, /*#__PURE__*/_react.default.createElement(_ArrowBackIos.default, null)), /*#__PURE__*/_react.default.createElement(_Hidden.default, {
    smDown: true
  }, /*#__PURE__*/_react.default.createElement(_Typography.default, {
    className: cls.title,
    component: "h2",
    variant: "h6"
  }, name))), /*#__PURE__*/_react.default.createElement(_Box.default, null, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    "aria-label": "print",
    color: "inherit",
    onClick: handlePrint
  }, /*#__PURE__*/_react.default.createElement(_Print.default, null)), /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    "aria-label": "save",
    color: "inherit",
    onClick: save
  }, /*#__PURE__*/_react.default.createElement(_CloudDownload.default, null))));
};

DocumentViewerToolbar.defaultProps = {};
DocumentViewerToolbar.propTypes = {
  name: _propTypes.default.string.isRequired,
  onClose: _propTypes.default.func.isRequired
};
var _default = DocumentViewerToolbar;
exports.default = _default;