"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _Paper = _interopRequireDefault(require("@material-ui/core/Paper"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _FileCopy = _interopRequireDefault(require("@material-ui/icons/FileCopy"));

var _q3UiLocale = require("q3-ui-locale");

var _styles = _interopRequireDefault(require("./styles"));

var _useDragHandlerPreview = _interopRequireDefault(require("../useDragHandlerPreview"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DragHandlerPreview = () => {
  const ref = _react.default.useRef();

  const cls = (0, _styles.default)();
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('labels');
  const track = (0, _useDragHandlerPreview.default)();

  _react.default.useEffect(() => {
    // tracks cursor motion/position
    track(ref === null || ref === void 0 ? void 0 : ref.current);
  }, []);

  return /*#__PURE__*/_react.default.createElement("div", {
    className: cls.preview,
    ref: ref
  }, /*#__PURE__*/_react.default.createElement(_Paper.default, {
    elevation: 5
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    alignItems: "center",
    display: "flex",
    justifyContent: "center",
    p: 1
  }, /*#__PURE__*/_react.default.createElement(_FileCopy.default, null), /*#__PURE__*/_react.default.createElement(_Box.default, {
    ml: 0.5
  }, /*#__PURE__*/_react.default.createElement(_Typography.default, null, t('dropFileToMoveOrUpload'))))));
};

var _default = /*#__PURE__*/_react.default.memo(DragHandlerPreview);

exports.default = _default;