"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _FileManagerCurrentContext = _interopRequireDefault(require("../FileManagerCurrentContext"));

var _FileManagerBatchContext = _interopRequireDefault(require("../FileManagerBatchContext"));

var _useMultiSelect = _interopRequireDefault(require("../useMultiSelect"));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DragToSelect = ({
  children
}) => {
  const {
    current = null
  } = _react.default.useContext(_FileManagerCurrentContext.default);

  const {
    clearSelected,
    container,
    disabled,
    selected,
    ...rest
  } = (0, _useMultiSelect.default)();
  const cls = (0, _styles.default)();

  const stateValue = _react.default.useMemo(() => ({
    clearSelected,
    disabled,
    selected,
    ...rest
  }), [disabled, selected]);

  _react.default.useEffect(() => {
    // clears on directory change
    clearSelected();
  }, [current]);

  return /*#__PURE__*/_react.default.createElement(_FileManagerBatchContext.default.Provider, {
    value: stateValue
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: cls.root,
    ref: container
  }, children));
};

DragToSelect.defaultProps = {
  children: null
};
DragToSelect.propTypes = {
  children: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.element])
};
var _default = DragToSelect;
exports.default = _default;