"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = require("lodash");

var _core = require("@material-ui/core");

var _q3UiLocale = require("q3-ui-locale");

var _GalleryItem = _interopRequireDefault(require("../GalleryItem"));

var _GalleryItemFolder = _interopRequireDefault(require("../GalleryItemFolder"));

var _withAlertNoFiles = _interopRequireDefault(require("../withAlertNoFiles"));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Gallery = ({
  files,
  siblings
}) => {
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('titles');
  const cls = (0, _styles.default)();

  const renderGrid = (xs, title, Component) => (0, _lodash.size)(xs) > 0 && /*#__PURE__*/_react.default.createElement(_core.Box, {
    mb: 2
  }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
    component: "h3",
    variant: "overline"
  }, t(title)), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    container: true,
    spacing: 1
  }, (0, _lodash.map)(xs, item => /*#__PURE__*/_react.default.createElement(_core.Grid, {
    className: cls.item,
    key: item.name,
    item: true
  }, /*#__PURE__*/_react.default.createElement(Component, item)))));

  return /*#__PURE__*/_react.default.createElement("div", {
    id: "q3-filemanager-gallery-view"
  }, renderGrid(siblings, 'folders', _GalleryItemFolder.default), renderGrid(files, 'files', _GalleryItem.default));
};

Gallery.defaultProps = {
  files: [],
  siblings: []
};
Gallery.propTypes = {
  files: _propTypes.default.arrayOf(_propTypes.default.shape({
    name: _propTypes.default.string.isRequired
  })),
  siblings: _propTypes.default.arrayOf(_propTypes.default.shape({
    name: _propTypes.default.string.isRequired
  }))
};
const GalleryComponent = (0, _withAlertNoFiles.default)(Gallery);
GalleryComponent.displayName = 'gallery';
var _default = GalleryComponent;
exports.default = _default;