"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _lodash = require("lodash");

var _classnames = _interopRequireDefault(require("classnames"));

var _CardHeader = _interopRequireDefault(require("@material-ui/core/CardHeader"));

var _withContextMenu = _interopRequireDefault(require("../withContextMenu"));

var _GalleryItemMedia = _interopRequireDefault(require("../GalleryItemMedia"));

var _withFileIcon = _interopRequireDefault(require("../withFileIcon"));

var _styles = _interopRequireDefault(require("./styles"));

var _withDrag = _interopRequireDefault(require("../withDrag"));

var _withSelected = _interopRequireDefault(require("../withSelected"));

var _GalleryItemFolder = require("../GalleryItemFolder/GalleryItemFolder");

var _useLongPress = _interopRequireDefault(require("../useLongPress"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const GalleryItem = /*#__PURE__*/_react.default.forwardRef(({
  classes,
  icon: Icon,
  id,
  isItemSelected,
  name,
  onClick,
  onContextMenu,
  onSelect,
  ...file
}, ref) => {
  const cls = (0, _styles.default)();
  const cardClasses = (0, _classnames.default)(cls.card, isItemSelected ? classes.item : undefined, 'q3-file');
  const eventHandlers = (0, _useLongPress.default)(onContextMenu);
  return /*#__PURE__*/_react.default.createElement(_core.Card, _extends({
    "data-id": id,
    className: cardClasses,
    ref: ref,
    variant: "outlined"
  }, eventHandlers), /*#__PURE__*/_react.default.createElement(_core.CardActionArea, {
    className: cls.item,
    onDoubleClick: onClick,
    onContextMenu: onContextMenu,
    onClick: onSelect
  }, /*#__PURE__*/_react.default.createElement(_GalleryItemFolder.MobileTooltip, {
    title: name
  }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_CardHeader.default, {
    classes: (0, _lodash.omit)(cls, ['card']),
    avatar: /*#__PURE__*/_react.default.createElement(_core.Avatar, null, /*#__PURE__*/_react.default.createElement(Icon, null)),
    title: name
  }))), /*#__PURE__*/_react.default.createElement(_GalleryItemMedia.default, file, /*#__PURE__*/_react.default.createElement(Icon, null))));
});

GalleryItem.defaultProps = {
  isItemSelected: false
};
GalleryItem.propTypes = {
  classes: _propTypes.default.shape({
    item: _propTypes.default.string
  }).isRequired,
  id: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  icon: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.element, _propTypes.default.func]).isRequired,
  isItemSelected: _propTypes.default.bool,
  name: _propTypes.default.string.isRequired,
  onClick: _propTypes.default.func.isRequired,
  onContextMenu: _propTypes.default.func.isRequired,
  onSelect: _propTypes.default.func.isRequired
};

var _default = (0, _withContextMenu.default)((0, _withSelected.default)((0, _withFileIcon.default)((0, _withDrag.default)(GalleryItem))));

exports.default = _default;