"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.MobileTooltip = exports.GalleryItemFolderIcon = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _classnames = _interopRequireDefault(require("classnames"));

var _useDropFolder = _interopRequireDefault(require("../useDropFolder"));

var _withDrag = _interopRequireDefault(require("../withDrag"));

var _withFileIcon = _interopRequireDefault(require("../withFileIcon"));

var _withSelected = _interopRequireDefault(require("../withSelected"));

var _styles = _interopRequireDefault(require("./styles"));

var _withContextMenuFolder = _interopRequireDefault(require("../withContextMenuFolder"));

var _utils = require("../utils");

var _useLongPress = _interopRequireDefault(require("../useLongPress"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const GalleryItemFolderIcon = /*#__PURE__*/_react.default.memo( // eslint-disable-next-line
(0, _withFileIcon.default)(({
  icon: Icon
}) => /*#__PURE__*/_react.default.createElement(Icon, null))); // eslint-disable-next-line


exports.GalleryItemFolderIcon = GalleryItemFolderIcon;

const MobileTooltip = ({
  children,
  ...props
}) => !(0, _utils.isTouchDevice)() ? /*#__PURE__*/_react.default.createElement(_core.Tooltip, props, children) : children;

exports.MobileTooltip = MobileTooltip;

const GalleryItemFolder = /*#__PURE__*/_react.default.forwardRef(({
  classes,
  id,
  name,
  onClick,
  onContextMenu,
  onSelect
}, ref) => {
  const {
    isHovering = false,
    ref: dropRef
  } = (0, _useDropFolder.default)(id);
  const eventHandlers = (0, _useLongPress.default)(onContextMenu);
  const cls = (0, _styles.default)({
    isHovering
  });
  return /*#__PURE__*/_react.default.createElement(_core.Card, {
    ref: ref,
    className: (0, _classnames.default)(classes.item, cls.card, 'q3-folder'),
    "data-id": id,
    variant: "outlined"
  }, /*#__PURE__*/_react.default.createElement(_core.CardActionArea, {
    ref: dropRef,
    onClick: onSelect,
    onDoubleClick: onClick,
    onContextMenu: onContextMenu
  }, /*#__PURE__*/_react.default.createElement(_core.CardContent, eventHandlers, /*#__PURE__*/_react.default.createElement(MobileTooltip, {
    title: name
  }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
    className: cls.title,
    component: "div"
  }, /*#__PURE__*/_react.default.createElement(_core.Avatar, {
    className: cls.avatar
  }, /*#__PURE__*/_react.default.createElement(GalleryItemFolderIcon, {
    folder: true
  })), /*#__PURE__*/_react.default.createElement("span", null, name))))));
});

GalleryItemFolder.defaultProps = {};
GalleryItemFolder.propTypes = {
  classes: _propTypes.default.shape({
    item: _propTypes.default.string
  }).isRequired,
  id: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  name: _propTypes.default.string.isRequired,
  onClick: _propTypes.default.func.isRequired,
  onContextMenu: _propTypes.default.func.isRequired,
  onSelect: _propTypes.default.func.isRequired
};

var _default = (0, _withContextMenuFolder.default)((0, _withSelected.default)((0, _withDrag.default)(GalleryItemFolder, 'folder')));

exports.default = _default;