"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _colors = require("@material-ui/core/colors");

var _default = (0, _core.makeStyles)(theme => ({
  title: {
    alignItems: 'center',
    display: 'flex',
    fontSize: theme.typography.body1.fontSize,
    '& span:last-of-type': {
      textOverflow: 'ellipsis',
      overflow: 'hidden',
      whiteSpace: 'nowrap'
    }
  },
  card: ({
    isHovering
  }) => {
    const out = {
      position: 'relative',
      zIndex: 1,
      '&:hover': {
        boxShadow: 'none',
        transform: 'none'
      }
    };
    if (isHovering) return { ...out,
      borderColor: _colors.blue[200]
    };
    return out;
  },
  avatar: {
    background: theme.palette.secondary.light,
    marginRight: theme.spacing(0.75),
    fontSize: theme.typography.body1.fontSize,
    width: theme.spacing(2),
    height: theme.spacing(2)
  }
}));

exports.default = _default;