"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ListItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _ListItemContent = _interopRequireDefault(require("../ListItemContent"));

var _withFileIcon = _interopRequireDefault(require("../withFileIcon"));

var _withDrag = _interopRequireDefault(require("../withDrag"));

var _withContextMenu = _interopRequireDefault(require("../withContextMenu"));

var _withSelected = _interopRequireDefault(require("../withSelected"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ListItem = /*#__PURE__*/_react.default.forwardRef(({
  icon: Icon,
  id,
  isItemSelected,
  name,
  onClick,
  onContextMenu,
  onSelect,
  size
}, ref) => /*#__PURE__*/_react.default.createElement(_core.ListItem, {
  button: true,
  "data-id": id,
  selected: isItemSelected,
  className: "q3-file",
  component: "li",
  dense: true,
  onClick: onSelect,
  onDoubleClick: onClick,
  onContextMenu: onContextMenu,
  ref: ref,
  style: {
    paddingLeft: 0
  }
}, /*#__PURE__*/_react.default.createElement(_ListItemContent.default, {
  name: name,
  onClick: onContextMenu,
  size: size
}, /*#__PURE__*/_react.default.createElement(Icon, null))));

exports.ListItem = ListItem;
ListItem.defaultProps = {
  isItemSelected: false,
  size: 0
};
ListItem.propTypes = {
  classes: _propTypes.default.shape({
    item: _propTypes.default.string
  }).isRequired,
  id: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  icon: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.element, _propTypes.default.func]).isRequired,
  isItemSelected: _propTypes.default.bool,
  name: _propTypes.default.string.isRequired,
  onClick: _propTypes.default.func.isRequired,
  onContextMenu: _propTypes.default.func.isRequired,
  onSelect: _propTypes.default.func.isRequired,
  size: _propTypes.default.number
};

var _default = (0, _withContextMenu.default)((0, _withSelected.default)((0, _withFileIcon.default)((0, _withDrag.default)(ListItem))));

exports.default = _default;