"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _MoreHoriz = _interopRequireDefault(require("@material-ui/icons/MoreHoriz"));

var _utils = require("../utils");

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ListItemContent = ({
  children,
  onClick,
  name,
  size
}) => {
  const cls = (0, _styles.default)();
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_core.ListItemAvatar, null, /*#__PURE__*/_react.default.createElement(_core.Avatar, {
    className: cls.avatar
  }, children)), /*#__PURE__*/_react.default.createElement(_core.ListItemText, {
    primary: name,
    secondary: (0, _utils.toMbs)(size),
    primaryTypographyProps: {
      style: {
        lineBreak: 'anywhere'
      }
    }
  }), /*#__PURE__*/_react.default.createElement(_core.ListItemSecondaryAction, null, /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    "aria-label": "options",
    component: "span",
    onClick: onClick,
    role: "button"
  }, /*#__PURE__*/_react.default.createElement(_MoreHoriz.default, null))));
};

ListItemContent.defaultProps = {
  children: null,
  size: 0
};
ListItemContent.propTypes = {
  children: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.element]),
  name: _propTypes.default.string.isRequired,
  onClick: _propTypes.default.func.isRequired,
  size: _propTypes.default.number
};
var _default = ListItemContent;
exports.default = _default;