"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _GalleryItemFolder = require("../GalleryItemFolder/GalleryItemFolder");

var _ListItemContent = _interopRequireDefault(require("../ListItemContent"));

var _useDropFolder = _interopRequireDefault(require("../useDropFolder"));

var _withDrag = _interopRequireDefault(require("../withDrag"));

var _styles = _interopRequireDefault(require("./styles"));

var _withContextMenuFolder = _interopRequireDefault(require("../withContextMenuFolder"));

var _withSelected = _interopRequireDefault(require("../withSelected"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ListItemFolder = /*#__PURE__*/_react.default.forwardRef(({
  isItemSelected,
  name,
  onClick,
  onContextMenu,
  onSelect,
  id,
  size
}, ref) => {
  const {
    isHovering = false,
    ref: dropRef
  } = (0, _useDropFolder.default)(id);
  const cls = (0, _styles.default)({
    isHovering
  });
  return /*#__PURE__*/_react.default.createElement("li", {
    "data-id": id,
    className: "q3-folder",
    ref: dropRef
  }, /*#__PURE__*/_react.default.createElement(_core.ListItem, {
    button: true,
    component: "button",
    dense: true,
    className: cls.item,
    onClick: onSelect,
    onDoubleClick: onClick,
    onContextMenu: onContextMenu,
    selected: isItemSelected,
    ref: ref
  }, /*#__PURE__*/_react.default.createElement(_ListItemContent.default, {
    onClick: onContextMenu,
    name: name,
    size: size
  }, /*#__PURE__*/_react.default.createElement(_GalleryItemFolder.GalleryItemFolderIcon, {
    folder: true
  }))));
});

ListItemFolder.defaultProps = {
  isItemSelected: false,
  size: 0
};
ListItemFolder.propTypes = {
  isItemSelected: _propTypes.default.bool,
  name: _propTypes.default.string.isRequired,
  onClick: _propTypes.default.func.isRequired,
  onContextMenu: _propTypes.default.func.isRequired,
  onSelect: _propTypes.default.func.isRequired,
  id: _propTypes.default.string.isRequired,
  size: _propTypes.default.number
};

var _default = (0, _withContextMenuFolder.default)((0, _withSelected.default)((0, _withDrag.default)(ListItemFolder)));

exports.default = _default;