"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = require("lodash");

var _FileManagerContext = _interopRequireDefault(require("../FileManagerContext"));

var _FileManagerAuthContext = _interopRequireDefault(require("../FileManagerAuthContext"));

var _FileManagerCurrentContext = _interopRequireDefault(require("../FileManagerCurrentContext"));

var _useUploadsAuth = _interopRequireDefault(require("../useUploadsAuth"));

var _PhotoUploadPreview = _interopRequireDefault(require("../PhotoUploadPreview"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FEATURED_UPLOAD_FIELD = 'featuredUpload';

const PhotoUpload = ({
  collectionName,
  field,
  upload,
  ...props
}) => /*#__PURE__*/_react.default.createElement(_FileManagerAuthContext.default.Provider, {
  value: (0, _useUploadsAuth.default)(collectionName, {
    field
  })
}, /*#__PURE__*/_react.default.createElement(_FileManagerContext.default.Provider, {
  value: _react.default.useMemo(() => ({
    post: formData => {
      try {
        // only ever a single file
        const [[fileName, photo]] = formData.entries();

        if (field !== FEATURED_UPLOAD_FIELD) {
          formData.append(`uploads/${fileName}`, photo);
          formData.set(field, fileName);
          formData.set('sensitive', false);
        } else {
          formData.append(field, photo, fileName);
        }
      } catch (e) {// noop
      }

      return upload(formData);
    },
    remove: () => upload({
      [field]: null
    })
  }), [field])
}, /*#__PURE__*/_react.default.createElement(_FileManagerCurrentContext.default.Provider, {
  // not going to bother with directories here
  // but our dropzone hook requires it
  // eslint-disable-next-line
  value: {
    current: null
  }
}, /*#__PURE__*/_react.default.createElement(_PhotoUploadPreview.default, props))));

PhotoUpload.defaultProps = {
  field: FEATURED_UPLOAD_FIELD
};
PhotoUpload.propTypes = {
  collectionName: _propTypes.default.string.isRequired,
  field: _propTypes.default.string,
  upload: _propTypes.default.func.isRequired
};
var _default = PhotoUpload;
exports.default = _default;