"use strict";

var _react = _interopRequireDefault(require("react"));

var _FileManagerContext = _interopRequireDefault(require("../FileManagerContext"));

var _PhotoUpload = _interopRequireDefault(require("./PhotoUpload"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('PhotoUpload', () => {
  it('should set field to null', () => {
    const upload = jest.fn().mockImplementation(() => // here.
    Promise.resolve());
    global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.default, {
      collectionName: "test",
      upload: upload
    })).find(_FileManagerContext.default.Provider).props().value.remove();
    expect(upload).toHaveBeenCalledWith({
      featuredUpload: null
    });
  });
  it('should intercept formData on post', () => {
    const upload = jest.fn().mockImplementation(() => // here.
    Promise.resolve());
    const f = new FormData();
    f.append('other', {
      name: 'customName'
    });
    global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.default, {
      collectionName: "test",
      field: "other",
      upload: upload
    })).find(_FileManagerContext.default.Provider).props().value.post(f);
    expect(upload).toHaveBeenCalled();
    const [finalFormData] = upload.mock.lastCall;
    expect(finalFormData.get('uploads/customName', expect.any(Object)));
    expect(finalFormData.get('other', 'customName'));
    expect(finalFormData.get('sensitive', false));
  });
  it('should foward form data', () => {
    const upload = jest.fn().mockImplementation(() => // here.
    Promise.resolve());
    const f = new FormData();
    global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.default, {
      collectionName: "test",
      upload: upload
    })).find(_FileManagerContext.default.Provider).props().value.post(f);
    expect(upload).toHaveBeenCalled();
    const [finalFormData] = upload.mock.lastCall;
    expect(finalFormData.get('featuredUploads')).toBeNull();
  });
});