"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _CircularProgress = _interopRequireDefault(require("@material-ui/core/CircularProgress"));

var _lodash = require("lodash");

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _q3UiLocale = require("q3-ui-locale");

var _PhotoCamera = _interopRequireDefault(require("@material-ui/icons/PhotoCamera"));

var _useDropZoneAcceptedFiles = _interopRequireDefault(require("../useDropZoneAcceptedFiles"));

var _DropZoneWrapper = _interopRequireDefault(require("../DropZoneWrapper"));

var _DropZoneInputWrapper = _interopRequireDefault(require("../DropZoneInputWrapper"));

var _PhotoUploadPreviewButton = _interopRequireDefault(require("../PhotoUploadPreviewButton"));

var _FileManagerAuthContext = _interopRequireDefault(require("../FileManagerAuthContext"));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PhotoUploadPreview = ({
  src
}) => {
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('descriptions');
  const {
    onDrop,
    pending
  } = (0, _useDropZoneAcceptedFiles.default)();

  const {
    canSee,
    canCreate,
    canEdit
  } = _react.default.useContext(_FileManagerAuthContext.default);

  const readOnly = !canEdit || !canCreate;
  const cls = (0, _styles.default)({
    readOnly
  });
  const file = (0, _lodash.first)(pending);
  const dropZoneProps = {
    accept: '.png,.jpg,.jpeg,.svg,.jfif,.webp,.avif',
    multiple: false,
    onDrop
  };
  if (!canSee) return null;
  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: cls.container
  }, (file === null || file === void 0 ? void 0 : file.error) && /*#__PURE__*/_react.default.createElement(_Box.default, {
    mb: 1
  }, /*#__PURE__*/_react.default.createElement(_Alert.default, {
    severity: "error"
  }, t('descriptions:uploadFailed'))), /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: (0, _classnames.default)(cls.root, 'q3-photoupload-container')
  }, src ? /*#__PURE__*/_react.default.createElement("img", {
    alt: t('labels:imagePreview'),
    className: cls.preview,
    src: src
  }) : /*#__PURE__*/_react.default.createElement(_PhotoCamera.default, {
    className: cls.icon
  }), !readOnly && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: cls.button
  }, /*#__PURE__*/_react.default.createElement(_DropZoneInputWrapper.default, dropZoneProps)), /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: cls.dnd
  }, /*#__PURE__*/_react.default.createElement(_DropZoneWrapper.default, dropZoneProps)), /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: "hover"
  }, /*#__PURE__*/_react.default.createElement(_PhotoUploadPreviewButton.default, {
    src: src
  })), (0, _lodash.isObject)(file) && !file.error && /*#__PURE__*/_react.default.createElement(_Box.default, {
    alignItems: "center",
    justifyContent: "center",
    display: "flex",
    position: "absolute",
    top: "0",
    left: "0",
    height: "100%",
    width: "100%",
    zIndex: 3
  }, /*#__PURE__*/_react.default.createElement(_CircularProgress.default, null)))));
};

PhotoUploadPreview.defaultProps = {
  src: ''
};
PhotoUploadPreview.propTypes = {
  src: _propTypes.default.string
};
var _default = PhotoUploadPreview;
exports.default = _default;