"use strict";

var _react = _interopRequireDefault(require("react"));

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _enzymeUtils = require("q3-ui-test-utils/lib/enzymeUtils");

var _PhotoCamera = _interopRequireDefault(require("@material-ui/icons/PhotoCamera"));

var _PhotoUploadPreview = _interopRequireDefault(require("./PhotoUploadPreview"));

var _useDropZoneAcceptedFiles = _interopRequireDefault(require("../useDropZoneAcceptedFiles"));

var _DropZoneInputWrapper = _interopRequireDefault(require("../DropZoneInputWrapper"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('./styles', () => () => ({}));
jest.mock('../useDropZoneAcceptedFiles');
describe('PhotoUploadPreview', () => {
  it('should render src', () => {
    _useDropZoneAcceptedFiles.default.mockReturnValue({});

    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      canSee: true
    });
    expect(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUploadPreview.default, {
      src: "http://google.ca"
    })).find('img').prop('alt')).toMatch('imagePreview');
  });
  it('should render placeholder', () => {
    _useDropZoneAcceptedFiles.default.mockReturnValue({});

    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      canSee: true
    });
    (0, _enzymeUtils.exists)(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUploadPreview.default, null)).find(_PhotoCamera.default));
  });
  it('should render error', () => {
    _useDropZoneAcceptedFiles.default.mockReturnValue({
      pending: [{
        error: true
      }]
    });

    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      canSee: true
    });
    (0, _enzymeUtils.exists)(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUploadPreview.default, null)).find(_Alert.default));
  });
  it('should render drop components', () => {
    _useDropZoneAcceptedFiles.default.mockReturnValue({});

    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      canSee: true,
      canEdit: true,
      canCreate: true
    });
    (0, _enzymeUtils.exists)(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUploadPreview.default, null)).find(_DropZoneInputWrapper.default));
  });
  it('should hide conditional components', () => {
    _useDropZoneAcceptedFiles.default.mockReturnValue({
      pending: [{
        name: 'ok'
      }]
    });

    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      canSee: true,
      canEdit: true,
      canCreate: false
    });
    const el = global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUploadPreview.default, null));
    (0, _enzymeUtils.doesNotExist)(el.find(_Alert.default));
    (0, _enzymeUtils.doesNotExist)(el.find(_DropZoneInputWrapper.default));
  });
});