"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Fab = _interopRequireDefault(require("@material-ui/core/Fab"));

var _Menu = _interopRequireDefault(require("@material-ui/core/Menu"));

var _MenuItem = _interopRequireDefault(require("@material-ui/core/MenuItem"));

var _q3UiHelpers = require("q3-ui-helpers");

var _q3UiLocale = require("q3-ui-locale");

var _usefulState = require("useful-state");

var _Backup = _interopRequireDefault(require("@material-ui/icons/Backup"));

var _FileManagerContext = _interopRequireDefault(require("../FileManagerContext"));

var _FileManagerAuthContext = _interopRequireDefault(require("../FileManagerAuthContext"));

var _styles = _interopRequireDefault(require("./styles"));

var _useSaveAs = _interopRequireDefault(require("../useSaveAs"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PhotoUploadPreviewButton = ({
  src
}) => {
  // not that this will not be curried like useAuth implementations
  // see PhotoUpload component for how we adapted this context's use
  const {
    remove
  } = _react.default.useContext(_FileManagerContext.default);

  const {
    canCreate,
    canEdit,
    canDelete
  } = _react.default.useContext(_FileManagerAuthContext.default);

  const save = (0, _useSaveAs.default)({
    name: 'photo',
    url: src
  });

  const ref = _react.default.useRef();

  const {
    t
  } = (0, _q3UiLocale.useTranslation)('labels');
  const {
    open,
    isOpen,
    close,
    anchorEl
  } = (0, _usefulState.useOpen)();
  const cls = (0, _styles.default)();

  const handleClick = e => {
    (0, _utils.suppressEvent)(e, open);
  };

  const exec = func => e => {
    (0, _utils.suppressEvent)(e, close);
    func();
  };

  const triggerInput = () => {
    try {
      if (_q3UiHelpers.browser.isBrowserReady()) ref.current.closest('.q3-photoupload-container').querySelector('input').click();
    } catch (e) {// noop
    }
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Fab.default, {
    ref: ref,
    color: "secondary",
    className: cls.button,
    onClick: handleClick,
    fullWidth: true,
    type: "button"
  }, /*#__PURE__*/_react.default.createElement(_Backup.default, null)), /*#__PURE__*/_react.default.createElement(_Menu.default, {
    id: "file-sorting",
    anchorEl: anchorEl,
    open: isOpen,
    onClose: close,
    elevation: 5
  }, /*#__PURE__*/_react.default.createElement(_MenuItem.default, {
    disabled: !src,
    dense: true,
    onClick: exec(save)
  }, t('download')), /*#__PURE__*/_react.default.createElement(_MenuItem.default, {
    dense: true,
    disabled: !canEdit || !canCreate,
    onClick: exec(triggerInput)
  }, t('uploadFile')), /*#__PURE__*/_react.default.createElement(_MenuItem.default, {
    dense: true,
    disabled: !canEdit || !canDelete || !src,
    onClick: exec(remove)
  }, t('clearFile'))));
};

PhotoUploadPreviewButton.defaultProps = {
  src: undefined
};
PhotoUploadPreviewButton.propTypes = {
  src: _propTypes.default.string
};
var _default = PhotoUploadPreviewButton;
exports.default = _default;