"use strict";

var _react = _interopRequireDefault(require("react"));

var _MenuItem = _interopRequireDefault(require("@material-ui/core/MenuItem"));

var _PhotoUploadPreviewButton = _interopRequireDefault(require("./PhotoUploadPreviewButton"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('./styles', () => () => ({}));

const checkMenuItemDisabledProp = props => {
  const items = global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUploadPreviewButton.default, props)).find(_MenuItem.default);
  return (index, expectedValue) => expect(items.at(index).prop('disabled')).toEqual(expectedValue);
};

describe('PhotoUploadPreviewButton', () => {
  it('should enable actions', () => {
    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      canCreate: true,
      canEdit: true,
      canDelete: true
    });
    const assert = checkMenuItemDisabledProp({
      src: 'http'
    });
    assert(1, false);
    assert(2, false);
  });
  it('should disable actions', () => {
    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      canCreate: false,
      canEdit: true,
      canDelete: false
    });
    const assert = checkMenuItemDisabledProp({
      src: 'http'
    });
    assert(1, true);
    assert(2, true);
  });
  it('should disable clear without src', () => {
    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      canCreate: true,
      canEdit: true,
      canDelete: true
    });
    const assert = checkMenuItemDisabledProp({});
    assert(2, true);
  });
});