"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _FileManagerCurrentContext = _interopRequireDefault(require("../FileManagerCurrentContext"));

var _FileManagerContext = _interopRequireDefault(require("../FileManagerContext"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useDirectoryFolder = () => {
  const {
    uploads = []
  } = _react.default.useContext(_FileManagerContext.default);

  const {
    current,
    change
  } = _react.default.useContext(_FileManagerCurrentContext.default);

  const buildBreadrumbs = (folderId = null) => (0, _lodash.reduce)(uploads, (acc, curr) => (0, _utils.normalize)(curr.id) === (0, _utils.normalize)(folderId) ? acc.concat(curr).concat(buildBreadrumbs(curr.folderId)) : acc, []);

  const buildFolderTree = (folderId = null) => (0, _lodash.sortBy)((0, _lodash.reduce)(uploads, (acc, curr) => curr.folder && (0, _utils.normalize)(curr.folderId) === (0, _utils.normalize)(folderId) ? acc.concat({
    children: buildFolderTree(curr.id),
    id: curr.id,
    name: curr.name
  }) : acc, []), ['name']);

  return _react.default.useMemo(() => ({
    change,
    current,
    files: (0, _lodash.filter)(uploads, upload => (0, _utils.normalize)(upload.folderId) === (0, _utils.normalize)(current) && !upload.folder),
    siblings: (0, _lodash.reduce)(uploads, (acc, curr) => !curr.folder || (0, _utils.normalize)(curr.folderId) !== (0, _utils.normalize)(current) ? acc : acc.concat({ ...curr,

      onClick() {
        change(curr.id);
      }

    }), []),
    breadcrumbs: buildBreadrumbs(current).reverse(),
    tree: buildFolderTree()
  }), [current, uploads]);
};

var _default = useDirectoryFolder;
exports.default = _default;