"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _q3UiHelpers = require("q3-ui-helpers");

var _FileManagerContext = _interopRequireDefault(require("../FileManagerContext"));

var _FileManagerBatchContext = _interopRequireDefault(require("../FileManagerBatchContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useDirectoryFoldersChange = () => {
  const ctx = _react.default.useContext(_FileManagerContext.default);

  const {
    clearSelected,
    selected
  } = _react.default.useContext(_FileManagerBatchContext.default);

  return _react.default.useCallback(({
    id,
    folderId
  }) => _q3UiHelpers.object.noop(((0, _lodash.size)(selected) ? ctx.patchBulk(selected) : ctx.patch(id))({
    folderId
  }).then(clearSelected)), [selected]);
};

var _default = useDirectoryFoldersChange;
exports.default = _default;