"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactDnd = require("react-dnd");

var _lodash = require("lodash");

const useDragHandlerPreview = () => {
  const dragDropManager = (0, _reactDnd.useDragDropManager)();
  const monitor = dragDropManager.getMonitor();
  return element => monitor.subscribeToOffsetChange(() => {
    if (!element) return;
    const offset = monitor.getClientOffset();

    const convertOffsetToPixel = offsetProperty => `${(0, _lodash.get)(offset, offsetProperty, 0) + 5}px`;

    (0, _lodash.invoke)(element, 'setAttribute', 'data-dragging', monitor.isDragging() && !monitor.didDrop());
    if ((0, _lodash.isObject)(element === null || element === void 0 ? void 0 : element.style)) Object.assign(element.style, {
      left: convertOffsetToPixel('x'),
      top: convertOffsetToPixel('y')
    });
  });
};

var _default = useDragHandlerPreview;
exports.default = _default;