"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _useDirectoryFoldersChange = _interopRequireDefault(require("../useDirectoryFoldersChange"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useDropEnd = () => {
  const [dropState, setDropState] = _react.default.useState(null);

  const onChange = (0, _useDirectoryFoldersChange.default)();

  const onDropEnd = (item, monitor) => {
    if (monitor.didDrop()) setDropState({ ...item,
      ...monitor.getDropResult()
    });
  };

  _react.default.useEffect(() => {
    if ((0, _lodash.isObject)(dropState)) {
      const {
        id,
        folderId = null
      } = dropState;
      onChange({
        id,
        folderId
      }).finally(() => {
        setDropState(null);
      });
    }
  }, [dropState]);

  return onDropEnd;
};

var _default = useDropEnd;
exports.default = _default;