"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactDnd = require("react-dnd");

var _FileManagerAuthContext = _interopRequireDefault(require("../FileManagerAuthContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useDropFolder = id => {
  const authContext = _react.default.useContext(_FileManagerAuthContext.default);

  const [collected, ref] = (0, _reactDnd.useDrop)(() => ({
    accept: ['item', 'folder'],
    collect: monitor => ({
      isHovering: monitor.isOver({
        shallow: true
      })
    }),
    canDrop: item => item.id !== id && authContext.canEdit,
    drop: (item, monitor) => ({
      itemType: monitor.getItemType(),
      folderId: id
    })
  }));
  return { ...collected,
    id,
    ref
  };
};

var _default = useDropFolder;
exports.default = _default;