"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFileManagerInit = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _q3UiHelpers = require("q3-ui-helpers");

var _lodash = require("lodash");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useFileManagerInit = (authInstance, next, recurring) => {
  const ref = _react.default.useRef();

  const [init, setInit] = _react.default.useState(false);

  const setInitTruthy = () => setInit(true);

  _react.default.useEffect(() => {
    if (authInstance.canSee) {
      _q3UiHelpers.object.noop(next()).then(setInitTruthy);

      if ((0, _lodash.isFunction)(recurring)) ref.current = setInterval(() => {
        _q3UiHelpers.object.noop(recurring());
      }, 60000);
    } else setInitTruthy();

    return () => {
      setInit(false);

      if (ref.current) {
        clearInterval(ref.current);
      }
    };
  }, []);

  return init;
};

exports.useFileManagerInit = useFileManagerInit;
var _default = useFileManagerInit;
exports.default = _default;