"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactDnd = require("react-dnd");

var _useLongPress = require("use-long-press");

const useLongPressImplementation = callback => {
  const dragDropManager = (0, _reactDnd.useDragDropManager)();
  const monitor = dragDropManager.getMonitor();
  const bind = (0, _useLongPress.useLongPress)(event => {
    if (!monitor.isDragging()) callback(event);
  }, {
    cancelOnMovement: 10,
    threshold: 1000
  });
  return bind();
};

var _default = useLongPressImplementation;
exports.default = _default;