"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = require("lodash");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const usePrint = () => {
  const getElement = container => {
    if (container instanceof Node) return container;
    if ((0, _lodash.isString)(container)) return document.getElementById(container);
    return null;
  };

  return (options = {}) => {
    let position = null;
    let top = 0;
    const dataAttributeName = 'data-printing';
    const {
      printContainer,
      scrollContainer
    } = options;
    const printElement = getElement(printContainer);
    const scrollElement = getElement(scrollContainer);

    const move = () => scrollElement.scrollTo({
      behavior: 'auto',
      left: 0,
      top
    });

    const resetScrollElement = () => {
      top = 0;
      move();
      scrollElement.removeAttribute(dataAttributeName);
    };

    const startScrolling = () => {
      scrollElement.setAttribute(dataAttributeName, true);
      const checkIfScrollIsStatic = setInterval(() => {
        if (position >= scrollElement.scrollHeight - scrollElement.clientHeight) {
          clearInterval(checkIfScrollIsStatic);
          Promise.resolve().then(() => _interopRequireWildcard(require('print-js'))).then(mod => mod.default(printElement.id, 'html')).catch(() => {// noop
          }).finally(() => {
            resetScrollElement();
          });
          return;
        }

        position = scrollElement.scrollTop;
        top += scrollElement.clientHeight / 4;
        move();
      }, 20);
    };

    if (printElement !== null && printElement !== void 0 && printElement.id && scrollElement) {
      startScrolling();
    }
  };
};

var _default = usePrint;
exports.default = _default;