"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _q3UiPermissions = require("q3-ui-permissions");

var _lodash = require("lodash");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useUploadsAuth = (collectionName, options = {}) => {
  const auth = (0, _q3UiPermissions.useAuth)(collectionName);
  const sub = (0, _lodash.get)(options, 'field', 'uploads');
  return _react.default.useMemo(() => ['canCreate', 'canDelete', 'canEdit', 'canSee'].reduce((acc, curr) => {
    acc[curr] = (0, _lodash.invoke)(auth, `${curr}Sub`, sub) === true && (0, _lodash.get)(options, curr) !== false;
    return acc;
  }, {}), [collectionName]);
};

var _default = useUploadsAuth;
exports.default = _default;