"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useVisibility = () => {
  const ref = _react.default.useRef();

  const [isVisible, setIsVisible] = _react.default.useState(false);

  const observer = _react.default.useMemo(() => {
    const fn = (0, _lodash.debounce)(([entry]) => setIsVisible(entry.isIntersecting), 500);
    return new IntersectionObserver(fn);
  }, [ref]);

  _react.default.useEffect(() => {
    observer.observe(ref.current);
    return () => {
      observer.disconnect();
    };
  }, []);

  return {
    isVisible,
    ref
  };
};

var _default = useVisibility;
exports.default = _default;