"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzymeUtils = require("q3-ui-test-utils/lib/enzymeUtils");

var _withAuthBoolean = _interopRequireDefault(require("./withAuthBoolean"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const checkRender = (prop, fn) => {
  const Component = (0, _withAuthBoolean.default)(() => /*#__PURE__*/_react.default.createElement("div", {
    id: "test"
  }), prop);
  fn(global.mount( /*#__PURE__*/_react.default.createElement(Component, null)).find('#test'));
};

beforeAll(() => {
  jest.spyOn(_react.default, 'useContext').mockReturnValue({
    canSee: true,
    canCreate: false
  });
});
describe('withAuthBoolean', () => {
  it('should block render', () => {
    checkRender('canCreate', _enzymeUtils.doesNotExist);
  });
  it('should render', () => {
    checkRender('canSee', _enzymeUtils.exists);
  });
});