"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCurriedDialog = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _AccountTree = _interopRequireDefault(require("@material-ui/icons/AccountTree"));

var _Edit = _interopRequireDefault(require("@material-ui/icons/Edit"));

var _Delete = _interopRequireDefault(require("@material-ui/icons/Delete"));

var _Visibility = _interopRequireDefault(require("@material-ui/icons/Visibility"));

var _GetApp = _interopRequireDefault(require("@material-ui/icons/GetApp"));

var _Help = _interopRequireDefault(require("@material-ui/icons/Help"));

var _ContextMenu = _interopRequireDefault(require("../ContextMenu"));

var _useDialog = _interopRequireDefault(require("../useDialog"));

var _useSaveAs = _interopRequireDefault(require("../useSaveAs"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const useCurriedDialog = props => dialogId => (0, _useDialog.default)(dialogId, props).open;

exports.useCurriedDialog = useCurriedDialog;

const withContextMenu = Component => {
  const ContextMenuImplementation = props => {
    const {
      id,
      onClick
    } = props;
    const save = (0, _useSaveAs.default)(props);
    const [openAboutDialog, openDeleteDialog, openMoveTo, openRenameDialog] = [_constants.DIALOG_ABOUT, _constants.DIALOG_DELETE, _constants.DIALOG_MOVE, _constants.DIALOG_RENAME].map(useCurriedDialog(props));
    return /*#__PURE__*/_react.default.createElement(_ContextMenu.default, {
      id: id,
      items: [{
        icon: /*#__PURE__*/_react.default.createElement(_Help.default, null),
        label: 'about',
        onClick: openAboutDialog
      }, {
        icon: /*#__PURE__*/_react.default.createElement(_Visibility.default, null),
        label: 'preview',
        onClick
      }, {
        icon: /*#__PURE__*/_react.default.createElement(_GetApp.default, null),
        label: 'download',
        onClick: save
      }, {
        divider: true
      }, {
        auth: 'canEdit',
        icon: /*#__PURE__*/_react.default.createElement(_Edit.default, null),
        label: 'rename',
        onClick: openRenameDialog
      }, {
        auth: 'canEdit',
        icon: /*#__PURE__*/_react.default.createElement(_AccountTree.default, null),
        label: 'moveTo',
        onClick: openMoveTo
      }, {
        divider: true
      }, {
        auth: 'canDelete',
        icon: /*#__PURE__*/_react.default.createElement(_Delete.default, null),
        label: 'delete',
        onClick: openDeleteDialog
      }]
    }, onContextMenu => /*#__PURE__*/_react.default.createElement(Component, _extends({
      onContextMenu: onContextMenu
    }, props)));
  };

  ContextMenuImplementation.propTypes = {
    id: _propTypes.default.string.isRequired,
    onClick: _propTypes.default.func.isRequired
  };
  return ContextMenuImplementation;
};

var _default = withContextMenu;
exports.default = _default;