"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _AccountTree = _interopRequireDefault(require("@material-ui/icons/AccountTree"));

var _Edit = _interopRequireDefault(require("@material-ui/icons/Edit"));

var _Delete = _interopRequireDefault(require("@material-ui/icons/Delete"));

var _ContextMenu = _interopRequireDefault(require("../ContextMenu"));

var _constants = require("../constants");

var _withContextMenu = require("../withContextMenu/withContextMenu");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const withContextMenuFolder = Component => {
  const ContextMenuImplementation = props => {
    const {
      id
    } = props;
    const [openDeleteDialog, openMoveTo, openRenameDialog] = [_constants.DIALOG_DELETE, _constants.DIALOG_MOVE, _constants.DIALOG_RENAME].map((0, _withContextMenu.useCurriedDialog)(props));
    return /*#__PURE__*/_react.default.createElement(_ContextMenu.default, {
      id: id,
      items: [{
        auth: 'canEdit',
        icon: /*#__PURE__*/_react.default.createElement(_Edit.default, null),
        label: 'rename',
        onClick: openRenameDialog
      }, {
        auth: 'canEdit',
        icon: /*#__PURE__*/_react.default.createElement(_AccountTree.default, null),
        label: 'moveTo',
        onClick: openMoveTo
      }, {
        auth: 'canDelete',
        icon: /*#__PURE__*/_react.default.createElement(_Delete.default, null),
        label: 'delete',
        onClick: openDeleteDialog
      }]
    }, onContextMenu => /*#__PURE__*/_react.default.createElement(Component, _extends({
      onContextMenu: onContextMenu
    }, props)));
  };

  ContextMenuImplementation.propTypes = {
    id: _propTypes.default.string.isRequired
  };
  return ContextMenuImplementation;
};

var _default = withContextMenuFolder;
exports.default = _default;