"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = require("lodash");

var _reactDnd = require("react-dnd");

var _ClickAwayListener = _interopRequireDefault(require("@material-ui/core/ClickAwayListener"));

var _q3UiHelpers = require("q3-ui-helpers");

var _FileManagerBatchContext = _interopRequireDefault(require("../FileManagerBatchContext"));

var _useDragPreviewDisable = _interopRequireDefault(require("../useDragPreviewDisable"));

var _useDropEnd = _interopRequireDefault(require("../useDropEnd"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const withDrag = (Component, type = 'item') => {
  const Drag = props => {
    const {
      id
    } = props;
    const onDropEnd = (0, _useDropEnd.default)();
    const [, dragRef, previewRef] = (0, _reactDnd.useDrag)(() => ({
      end: onDropEnd,
      type,
      item: {
        id
      }
    }), []);

    const {
      disabled,
      deselect
    } = _react.default.useContext(_FileManagerBatchContext.default);

    (0, _useDragPreviewDisable.default)(previewRef);

    const checkContains = (selector, target) => _q3UiHelpers.browser.isBrowserReady() ? (0, _lodash.some)(document.querySelectorAll(selector), node => node.contains(target)) : true;

    return /*#__PURE__*/_react.default.createElement(_ClickAwayListener.default, {
      onClickAway: e => {
        if (!disabled && !checkContains('.q3-file', e.target) && !checkContains('.q3-folder', e.target) && !checkContains('.q3-context-menu', e.target)) {
          deselect(id);
        }
      }
    }, /*#__PURE__*/_react.default.createElement(Component, _extends({
      ref: dragRef
    }, props)));
  };

  Drag.defaultProps = {
    path: undefined
  };
  Drag.propTypes = {
    id: _propTypes.default.string.isRequired,
    path: _propTypes.default.string
  };
  return Drag;
};

var _default = withDrag;
exports.default = _default;