"use strict";

var _react = _interopRequireDefault(require("react"));

var _ClickAwayListener = _interopRequireDefault(require("@material-ui/core/ClickAwayListener"));

var _withDrag = _interopRequireDefault(require("./withDrag"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('react-dnd', () => ({
  useDrag: jest.fn().mockReturnValue([])
}));
jest.mock('../useDropEnd');
jest.mock('../useDragPreviewDisable');

const triggerClickAway = (shouldContain, overwriteContext) => {
  const context = {
    deselect: jest.fn(),
    disabled: false,
    ...overwriteContext
  };
  jest.spyOn(_react.default, 'useContext').mockReturnValue(context);
  jest.spyOn(Node.prototype, 'contains').mockReturnValue(shouldContain);
  const Component = (0, _withDrag.default)(
  /*#__PURE__*/
  // eslint-disable-next-line
  _react.default.forwardRef((props, ref) => /*#__PURE__*/_react.default.createElement("div", {
    id: "outer"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "q3-file"
  }, /*#__PURE__*/_react.default.createElement("span", {
    id: "inner"
  })))));
  global.mount( /*#__PURE__*/_react.default.createElement(Component, {
    id: "1"
  })).find(_ClickAwayListener.default).props().onClickAway({
    target: null
  });
  return context;
};

describe('withDrag', () => {
  it('should not deselect when contained', () => {
    const context = triggerClickAway(true);
    expect(context.deselect).not.toHaveBeenCalled();
  });
  it('should deselect when outside a recognize class', () => {
    const context = triggerClickAway(false, {
      disabled: true
    });
    expect(context.deselect).not.toHaveBeenCalled();
  });
  it('should deselect', () => {
    const context = triggerClickAway(false, {
      disabled: false
    });
    expect(context.deselect).toHaveBeenCalled();
  });
});