"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Description = _interopRequireDefault(require("@material-ui/icons/Description"));

var _core = require("@material-ui/core");

var _PictureAsPdf = _interopRequireDefault(require("@material-ui/icons/PictureAsPdf"));

var _Image = _interopRequireDefault(require("@material-ui/icons/Image"));

var _Gif = _interopRequireDefault(require("@material-ui/icons/Gif"));

var _Code = _interopRequireDefault(require("@material-ui/icons/Code"));

var _FolderOpen = _interopRequireDefault(require("@material-ui/icons/FolderOpen"));

var _DataUsage = _interopRequireDefault(require("@material-ui/icons/DataUsage"));

var _Slideshow = _interopRequireDefault(require("@material-ui/icons/Slideshow"));

var _Audiotrack = _interopRequireDefault(require("@material-ui/icons/Audiotrack"));

var _VideoLibrary = _interopRequireDefault(require("@material-ui/icons/VideoLibrary"));

var _Subject = _interopRequireDefault(require("@material-ui/icons/Subject"));

var _lodash = require("lodash");

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const iconMap = {
  jpeg: _Image.default,
  jpg: _Image.default,
  png: _Image.default,
  gif: _Gif.default,
  tiff: _Image.default,
  svg: _Code.default,
  md: _Code.default,
  html: _Code.default,
  pdf: _PictureAsPdf.default,
  csv: _DataUsage.default,
  xls: _DataUsage.default,
  xlsx: _DataUsage.default,
  ppt: _Slideshow.default,
  mp3: _Audiotrack.default,
  flac: _Audiotrack.default,
  wav: _Audiotrack.default,
  aif: _Audiotrack.default,
  mp4: _VideoLibrary.default,
  doc: _Subject.default,
  docx: _Subject.default,
  mobi: _Subject.default,
  epub: _Subject.default,
  mov: _VideoLibrary.default,
  wmv: _VideoLibrary.default,
  avi: _VideoLibrary.default,
  webm: _VideoLibrary.default,
  fvl: _VideoLibrary.default
};

const withFileIcon = Component => {
  const FileIconSelector = props => {
    var _useTheme, _useTheme$palette, _useTheme$palette$sec;

    const {
      folder = false,
      name,
      url
    } = props;
    const color = (_useTheme = (0, _core.useTheme)()) === null || _useTheme === void 0 ? void 0 : (_useTheme$palette = _useTheme.palette) === null || _useTheme$palette === void 0 ? void 0 : (_useTheme$palette$sec = _useTheme$palette.secondary) === null || _useTheme$palette$sec === void 0 ? void 0 : _useTheme$palette$sec.main;
    const fileType = !folder ? (0, _utils.getFileType)(url) || (0, _utils.getFileType)(name) : null;

    const El = _react.default.useMemo( // eslint-disable-next-line
    () => () => {
      const IconComponent = fileType ? iconMap[fileType] || _Description.default : _FolderOpen.default;
      return /*#__PURE__*/_react.default.createElement(IconComponent, {
        "data-icon": (0, _lodash.get)(IconComponent, 'type.render.displayName'),
        style: {
          color
        }
      });
    }, [color, fileType]);

    return /*#__PURE__*/_react.default.createElement(Component, _extends({}, props, {
      fileType: fileType,
      icon: El
    }));
  };

  FileIconSelector.defaultProps = {
    folder: false,
    name: undefined,
    url: undefined
  };
  FileIconSelector.propTypes = {
    folder: _propTypes.default.bool,
    name: _propTypes.default.string,
    url: _propTypes.default.string
  };
  return FileIconSelector;
};

var _default = withFileIcon;
exports.default = _default;