"use strict";

var _react = _interopRequireDefault(require("react"));

var _withFileIcon = _interopRequireDefault(require("./withFileIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('withFileIcon', () => {
  it('should detect file type from url', () => {
    const Component = (0, _withFileIcon.default)(({
      icon,
      fileType
    }) => {
      expect(fileType).toMatch('jpg');
      expect(icon().props['data-icon']).toMatch('ImageIcon');
      return null;
    });
    global.mount( /*#__PURE__*/_react.default.createElement(Component, {
      url: "https://google.ca/foo.jpg"
    }));
  });
  it('should return folder icon', () => {
    const Component = (0, _withFileIcon.default)(({
      icon,
      fileType
    }) => {
      expect(fileType).toBeNull();
      expect(icon().props['data-icon']).toMatch('FolderOpenIcon');
      return null;
    });
    global.mount( /*#__PURE__*/_react.default.createElement(Component, {
      folder: true,
      url: "https://google.ca/foo.jpg"
    }));
  });
});