"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = _interopRequireDefault(require("./styles"));

var _FileManagerBatchContext = _interopRequireDefault(require("../FileManagerBatchContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const withSelected = Component => {
  const Selected = props => {
    const {
      id
    } = props;

    const {
      isSelected,
      select
    } = _react.default.useContext(_FileManagerBatchContext.default);

    const isItemSelected = isSelected(id);
    const cls = (0, _styles.default)({
      selected: isItemSelected
    });
    return /*#__PURE__*/_react.default.createElement(Component, _extends({
      classes: cls,
      isItemSelected: isItemSelected,
      onSelect: e => {
        select(id, e === null || e === void 0 ? void 0 : e.shiftKey);
      }
    }, props));
  };

  Selected.propTypes = {
    id: _propTypes.default.string.isRequired
  };
  return Selected;
};

var _default = withSelected;
exports.default = _default;